Skip to main content

Date and Time on the Internet: Timestamps with additional information
draft-ietf-sedate-datetime-extended-11

Revision differences

Document history

Date Rev. By Action
2024-04-26
(System) Received changes through RFC Editor sync (changed IESG state to RFC Published)
2024-04-26
(System)
Received changes through RFC Editor sync (changed state to RFC, created became rfc relationship between draft-ietf-sedate-datetime-extended and RFC 9557, changed IESG state to RFC …
Received changes through RFC Editor sync (changed state to RFC, created became rfc relationship between draft-ietf-sedate-datetime-extended and RFC 9557, changed IESG state to RFC Published)
2024-04-16
11 (System) RFC Editor state changed to AUTH48-DONE from AUTH48
2024-03-11
11 (System) RFC Editor state changed to AUTH48
2024-01-29
11 (System) RFC Editor state changed to RFC-EDITOR from EDIT
2023-10-25
11 (System) IANA Action state changed to RFC-Ed-Ack from Waiting on RFC Editor
2023-10-25
11 (System) IANA Action state changed to Waiting on RFC Editor from In Progress
2023-10-25
11 (System) IANA Action state changed to In Progress from Waiting on Authors
2023-10-25
11 (System) IANA Action state changed to Waiting on Authors from In Progress
2023-10-25
11 (System) IANA Action state changed to In Progress from Waiting on Authors
2023-10-24
11 (System) IANA Action state changed to Waiting on Authors from In Progress
2023-10-23
11 (System) RFC Editor state changed to EDIT
2023-10-23
11 (System) IESG state changed to RFC Ed Queue from Approved-announcement sent
2023-10-23
11 (System) Announcement was received by RFC Editor
2023-10-23
11 (System) IANA Action state changed to In Progress
2023-10-23
11 Cindy Morgan IESG state changed to Approved-announcement sent from Approved-announcement to be sent
2023-10-23
11 Cindy Morgan IESG has approved the document
2023-10-23
11 Cindy Morgan Closed "Approve" ballot
2023-10-23
11 Cindy Morgan Ballot approval text was generated
2023-10-23
11 (System) Removed all action holders (IESG state changed)
2023-10-23
11 Francesca Palombini IESG state changed to Approved-announcement to be sent from IESG Evaluation::AD Followup
2023-10-23
11 Lars Eggert
[Ballot comment]
# GEN AD review of draft-ietf-sedate-datetime-extended-10

CC @larseggert

Thanks to Robert Sparks for the General Area Review Team (Gen-ART) review
(https://mailarchive.ietf.org/arch/msg/gen-art/v8WWSDLRM3T-Taai4w6XCAqWFJg). …
[Ballot comment]
# GEN AD review of draft-ietf-sedate-datetime-extended-10

CC @larseggert

Thanks to Robert Sparks for the General Area Review Team (Gen-ART) review
(https://mailarchive.ietf.org/arch/msg/gen-art/v8WWSDLRM3T-Taai4w6XCAqWFJg).

## Comments

### Inclusive language

Found terminology that should be reviewed for inclusivity; see
https://www.rfc-editor.org/part2/#inclusive_language for background and more
guidance:

* Term `handicapped`; alternatives might be `broken`, `damaged`, `defective`,
  `deformed`, `impaired`

## Nits

All comments below are about very minor potential issues that you may choose to
address in some way - or ignore - as you see fit. Some were flagged by
automated tools (via https://github.com/larseggert/ietf-reviewtool), so there
will likely be some false positives. There is no need to let me know what you
did with these suggestions.

### Outdated references

Reference `[RFC1305]` to `RFC1305`, which was obsoleted by `RFC5905` (this may
be on purpose).

Reference `[RFC2822]` to `RFC2822`, which was obsoleted by `RFC5322` (this may
be on purpose).

### Grammar/style

#### Section 1.2, paragraph 10
```
fic UTC offset, e.g. +08:45, and serialized using as its name the same numer
                                ^^^^^^^^^^
```
Do not mix variants of the same word ("serialize" and "serialise") within a
single text.

## Notes

This review is in the ["IETF Comments" Markdown format][ICMF], You can use the
[`ietf-comments` tool][ICT] to automatically convert this review into
individual GitHub issues. Review generated by the [`ietf-reviewtool`][IRT].

[ICMF]: https://github.com/mnot/ietf-comments/blob/main/format.md
[ICT]: https://github.com/mnot/ietf-comments
[IRT]: https://github.com/larseggert/ietf-reviewtool
2023-10-23
11 Lars Eggert [Ballot Position Update] Position for Lars Eggert has been changed to No Objection from Discuss
2023-10-23
11 (System) Changed action holders to Francesca Palombini (IESG state changed)
2023-10-23
11 (System) Sub state has been changed to AD Followup from Revised I-D Needed
2023-10-23
11 (System) IANA Review state changed to Version Changed - Review Needed from IANA OK - Actions Needed
2023-10-23
11 Carsten Bormann New version available: draft-ietf-sedate-datetime-extended-11.txt
2023-10-23
11 Carsten Bormann New version accepted (logged-in submitter: Carsten Bormann)
2023-10-23
11 Carsten Bormann Uploaded new revision
2023-10-19
10 (System) Changed action holders to Ujjwal Sharma, Carsten Bormann (IESG state changed)
2023-10-19
10 Cindy Morgan IESG state changed to IESG Evaluation::Revised I-D Needed from IESG Evaluation
2023-10-19
10 Robert Wilton
[Ballot comment]
Hi,

Thanks for this document.  I only have one question/comment:

(1) p 7, sec 2.3.  Notes

  Note also that the fact that …
[Ballot comment]
Hi,

Thanks for this document.  I only have one question/comment:

(1) p 7, sec 2.3.  Notes

  Note also that the fact that [ISO8601:2000] and later do not allow
  -00:00 as a local offset reduces the level of interoperability that
  can be achieved in using this feature; the present specification
  however does not formally deprecate this syntax.  With the update to
  RFC 3339, the local offset Z can be used in its place.

I was wonder why this is "can be used" and not "SHOULD be used", or if that is too strong then "should be used".  I.e., I appreciate why we may want to still allow the old format now, but shouldn't this document push a little harder towards getting everyone to use the Z format?

Regards,
Rob
2023-10-19
10 Robert Wilton [Ballot Position Update] New position, No Objection, has been recorded for Robert Wilton
2023-10-18
10 John Scudder
[Ballot comment]
Thanks for this easy-to-read document.

## COMMENTS

### Section 3.2, misused 2119 keyword

                    …
[Ballot comment]
Thanks for this easy-to-read document.

## COMMENTS

### Section 3.2, misused 2119 keyword

                                                    See
  [BCP178] for a discussion about the danger of experimental keys
  leaking out to general production and why that MUST be prevented.

That MUST is far afield from what RFC 2119 thinks it should be used for. Seems like it should be "must".

### Section 3.4 examples are silent on handling the "critical" mark

Section 3.4 has two sets of examples. Each set is a pair, with the same timestamp, but in one the tag is marked critical and in the other, it isn't. The text doesn't say anything about the difference in handling the critical vs. non-critical versions. I can see why you'd want the two versions -- IF you were going to use them in the explanatory text, to illuminate the use of the critical mark. But you don't. Seems like you should either talk about the difference in how they're handled or just supply one version.

## LESS-THAN-NITS

Note that AFAICT every instance of “note that” in this document could be deleted without loss of clarity, but this is purely a personal style matter. (OK the one in §3.4 does serve the purpose of letting the sentence not begin with "-00:00" which would be a little jarring.)
2023-10-18
10 John Scudder [Ballot Position Update] New position, No Objection, has been recorded for John Scudder
2023-10-18
10 Paul Wouters
[Ballot comment]
I very strongly agree with Warren's ballot on this and his reasoning to ballot No Objection.

Additionally, I am puzzled by this Security …
[Ballot comment]
I very strongly agree with Warren's ballot on this and his reasoning to ballot No Objection.

Additionally, I am puzzled by this Security Consideration:

    only such extensions can be employed that have a defined resolution of such inconsistent data.

So what about this example:

      2022-07-08T00:14:07+01:00[Australia/Brisbane]

Clearly Brisbane does not have the +01:00 UTC offset. What is the "defined resolution" for this case?
2023-10-18
10 Paul Wouters [Ballot Position Update] New position, No Objection, has been recorded for Paul Wouters
2023-10-18
10 Jim Guichard [Ballot Position Update] New position, No Objection, has been recorded for Jim Guichard
2023-10-18
10 Roman Danyliw
[Ballot comment]
Thank you to Kyle Rose for the SECDIR review.

** Section 6.  Would there be any keys that should not be accepted by …
[Ballot comment]
Thank you to Kyle Rose for the SECDIR review.

** Section 6.  Would there be any keys that should not be accepted by the DE?  As I read it now, just about any temporary registration would be acceptable.

Editorial
-- Section 1.  Editorial (?)

This is a pressing issue for applications that handle each instant
  with an associated time zone name

What does “instant” mean here?  Is that a term of art, or should be be “instance”?

-- Editorial.  Consider using consistent terminology in referencing implementations of this specification.  Section 2.1 uses “Programs”.  Section 3.1 uses “Applications”. Section 3.2 uses “Implementations”.
2023-10-18
10 Roman Danyliw [Ballot Position Update] New position, No Objection, has been recorded for Roman Danyliw
2023-10-17
10 Warren Kumari
[Ballot comment]
I am balloting NoObjection (to a large extent because this is exactly what the SEDATE charter calls dfor), but this document fills me …
[Ballot comment]
I am balloting NoObjection (to a large extent because this is exactly what the SEDATE charter calls dfor), but this document fills me with unease.

I agree with Joe Clarke's concerns in the OpsDir around backwards compatibility:
https://datatracker.ietf.org/doc/review-ietf-sedate-datetime-extended-10-opsdir-telechat-clarke-2023-10-12/
and
https://datatracker.ietf.org/doc/review-ietf-sedate-datetime-extended-08-opsdir-lc-clarke-2023-06-12/
but I don't really know if anything can be done to solve this (other than plastering "WARNING: Existing implementations will likely choke and die" all over the place).

I'm also concerned that this will make working with operational logs harder -- as it is, when 'cat'ing various log files (or looking at logs on various network equipment), much of the "meat" of the log is already lost because it scrolls off the left side of the screen (or is replaced by [...]).

Again, much of this seems to be baked into the SEDATE charter, and so I'm balloting NoObj, but it is with a feeling of disquiet.
2023-10-17
10 Warren Kumari [Ballot Position Update] New position, No Objection, has been recorded for Warren Kumari
2023-10-17
10 Zaheduzzaman Sarker [Ballot comment]
No objection other than supporting Lars's Discuss.
2023-10-17
10 Zaheduzzaman Sarker [Ballot Position Update] New position, No Objection, has been recorded for Zaheduzzaman Sarker
2023-10-17
10 Éric Vyncke
[Ballot comment]

# Éric Vyncke, INT AD, comments for draft-ietf-sedate-datetime-extended-10

Thank you for the work put into this document.

Please find below some non-blocking COMMENT …
[Ballot comment]

# Éric Vyncke, INT AD, comments for draft-ietf-sedate-datetime-extended-10

Thank you for the work put into this document.

Please find below some non-blocking COMMENT points (but replies would be appreciated even if only for my own education).

Special thanks to Mark McFadden for the shepherd's detailed write-up including the WG consensus and the justification of the intended status.

I hope that this review helps to improve the document,

Regards,

-éric

# COMMENTS

## Section 1.2 (mostly nits)

The example of New York time would benefit of adding "in the USA" and "in 2023" (the latter would allow a better aging -- who knows ?).

Should ICAO be expanded ?

Should "San Francisco" be qualified as in "San Francisco, California" ?

## Backward compatibility

As I am not familiar with RFC 3339, I wonder whether the new syntax could break some legacy RFC 3339 implementations (including parsing libraries). Were there some tests ?
2023-10-17
10 Éric Vyncke [Ballot Position Update] New position, No Objection, has been recorded for Éric Vyncke
2023-10-16
10 Erik Kline
[Ballot comment]
# Internet AD comments for draft-ietf-sedate-datetime-extended-10
CC @ekline

* comment syntax:
  - https://github.com/mnot/ietf-comments/blob/main/format.md

* "Handling Ballot Positions":
  - https://ietf.org/about/groups/iesg/statements/handling-ballot-positions/

## Comments …
[Ballot comment]
# Internet AD comments for draft-ietf-sedate-datetime-extended-10
CC @ekline

* comment syntax:
  - https://github.com/mnot/ietf-comments/blob/main/format.md

* "Handling Ballot Positions":
  - https://ietf.org/about/groups/iesg/statements/handling-ballot-positions/

## Comments

### S2.2

* I concur with Lars' DISCUSS point.  Seems best to update or not update
  RFC 3339 section 4.3 ("there is no try" :-).

### S4.1

* Consider a sentence or two at the end that calls out the prohibition
  of "." and ".." from the time-zone-part production trailing comment.
  It seems to my uneducated eye that the ABNF actually allow this, so
  the checking would need to be done separately by implementations?

## Nits

### S1.2

* "UTC was designed to be a useful successor for" ->
  "for which UTC was designed to be a useful successor"

### S2.1

* "always was" -> "was always" or even just "has been"
2023-10-16
10 Erik Kline [Ballot Position Update] New position, No Objection, has been recorded for Erik Kline
2023-10-16
10 Martin Duke [Ballot Position Update] New position, No Objection, has been recorded for Martin Duke
2023-10-13
10 Amanda Baber IANA Review state changed to IANA OK - Actions Needed from Version Changed - Review Needed
2023-10-13
10 Lars Eggert
[Ballot discuss]
# GEN AD review of draft-ietf-sedate-datetime-extended-10

CC @larseggert

Thanks to Robert Sparks for the General Area Review Team (Gen-ART) review
(https://mailarchive.ietf.org/arch/msg/gen-art/v8WWSDLRM3T-Taai4w6XCAqWFJg). …
[Ballot discuss]
# GEN AD review of draft-ietf-sedate-datetime-extended-10

CC @larseggert

Thanks to Robert Sparks for the General Area Review Team (Gen-ART) review
(https://mailarchive.ietf.org/arch/msg/gen-art/v8WWSDLRM3T-Taai4w6XCAqWFJg).

## Discuss

### Section 2.2, paragraph 2
```
    A revised Section 4.3 of [RFC3339] with the update could read as
    follows:
```
Why "could"? A section titled "Update to RFC 3339" should describe
what the actual update *is*, not what it could be.
2023-10-13
10 Lars Eggert
[Ballot comment]
## Comments

### Inclusive language

Found terminology that should be reviewed for inclusivity; see
https://www.rfc-editor.org/part2/#inclusive_language for background and more
guidance:

* Term `handicapped`; …
[Ballot comment]
## Comments

### Inclusive language

Found terminology that should be reviewed for inclusivity; see
https://www.rfc-editor.org/part2/#inclusive_language for background and more
guidance:

* Term `handicapped`; alternatives might be `broken`, `damaged`, `defective`,
  `deformed`, `impaired`

## Nits

All comments below are about very minor potential issues that you may choose to
address in some way - or ignore - as you see fit. Some were flagged by
automated tools (via https://github.com/larseggert/ietf-reviewtool), so there
will likely be some false positives. There is no need to let me know what you
did with these suggestions.

### Outdated references

Reference `[RFC1305]` to `RFC1305`, which was obsoleted by `RFC5905` (this may
be on purpose).

Reference `[RFC2822]` to `RFC2822`, which was obsoleted by `RFC5322` (this may
be on purpose).

### Grammar/style

#### Section 1.2, paragraph 10
```
fic UTC offset, e.g. +08:45, and serialized using as its name the same numer
                                ^^^^^^^^^^
```
Do not mix variants of the same word ("serialize" and "serialise") within a
single text.

## Notes

This review is in the ["IETF Comments" Markdown format][ICMF], You can use the
[`ietf-comments` tool][ICT] to automatically convert this review into
individual GitHub issues. Review generated by the [`ietf-reviewtool`][IRT].

[ICMF]: https://github.com/mnot/ietf-comments/blob/main/format.md
[ICT]: https://github.com/mnot/ietf-comments
[IRT]: https://github.com/larseggert/ietf-reviewtool
2023-10-13
10 Lars Eggert [Ballot Position Update] New position, Discuss, has been recorded for Lars Eggert
2023-10-12
10 Joe Clarke Request for Telechat review by OPSDIR Completed: Ready. Reviewer: Joe Clarke. Sent review to list.
2023-10-12
10 Gunter Van de Velde Request for Telechat review by OPSDIR is assigned to Joe Clarke
2023-10-11
10 Cindy Morgan Placed on agenda for telechat - 2023-10-19
2023-10-11
10 Francesca Palombini Ballot has been issued
2023-10-11
10 Francesca Palombini [Ballot Position Update] New position, Yes, has been recorded for Francesca Palombini
2023-10-11
10 Francesca Palombini Created "Approve" ballot
2023-10-11
10 (System) Changed action holders to Francesca Palombini (IESG state changed)
2023-10-11
10 Francesca Palombini IESG state changed to IESG Evaluation from Waiting for AD Go-Ahead::AD Followup
2023-10-11
10 Francesca Palombini Ballot writeup was changed
2023-10-09
10 Mark McFadden

# Document Shepherd Write-Up for Group Documents

## Document History

1. Does the working group (WG) consensus represent the strong concurrence of a few individuals, …

# Document Shepherd Write-Up for Group Documents

## Document History

1. Does the working group (WG) consensus represent the strong concurrence of a few individuals, with others being silent, or did it reach broad agreement?

The WG consensus was broad. SEDATE is not the biggest WG, but there were enough active participants during its development that agreed the I-D was ready to proceed down the road to satisfy both chairs. Several of the participants are implementers. Additionally, some of the WG participants also participate in other standards bodies where this work is considered.

2. Was there controversy about particular points, or were there decisions where the consensus was particularly rough?

Only a single contentious issue emerged. We found an interoperability problem (a special interpretation of what -0000 means) with the way that RFC 3339 handles timestamps that do not want to provide a hint about time zone offsets. This issue was resolved through booth discussions on the mailing list and at IETF 114 and IETF 115.

Discussion of this document took place on the Serialising Extended Data About Times and Events (SEDATE) Working Group mailing list (mailto:sedate@ietf.org), which is archived at https://mailarchive.ietf.org/arch/browse/sedate/

Source for this draft and its accompanying issue tracker can be found at https://github.com/ietf-wg-sedate/draft-ietf-sedate-datetime-extended.

3. Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarize the areas of conflict in separate email messages to the responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)

No.

4. For protocol documents, are there existing implementations of the contents of the document? Have a significant number of potential implementers indicated plans to implement? Are any existing implementations reported somewhere, either in the document itself (as [RFC 7942][3] recommends) or elsewhere (where)?

Several participants in SEDATE have indicated that they will be implementing the changes in this draft. Those implementations are both in commercial software, open source software and changes to libraries that manage date/timestamps.

## Additional Reviews

5. Do the contents of this document closely interact with technologies in other IETF working groups or external organizations, and would it therefore benefit from their review? Have those reviews occurred? If yes, describe which reviews took place.

draft-ietf-sedate-datetime-extended is also related to work going on in TICTOC, CBOR and CALEXT. Some of the discussions in SEDATE have been cross-posted into those groups and many active participants who agreed to consensus in SEDATE are also active participants in TICTOC, CBOR and CALEXT.

Mike Douglass was our liaison to ISO/TC154. He last reported to the working group at IETF 115 and the notes to that session are in: https://datatracker.ietf.org/meeting/115/materials/minutes-115-sedate-202211081500-00

We also had extensive interaction with the ECMA group TEMPORAL. Ujjwal acted as our interface to ECMA and his last report to the SEDATE working group is available at: https://mailarchive.ietf.org/arch/msg/sedate/omfM_EZo-MUOXzEoypkfLlax-po/

6. Describe how the document meets any required formal expert review criteria, such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.

SEDATE was very narrowly chartered to update RFC3339 in a fully backward-compatible way to address a single discrepancy in expressing an instant in time, either in UTC or in a local time along with the offset against UTC.  There is no formal expert review criteria for the IETF profile of ISO 8601.


7. If the document contains a YANG module, has the final version of the module been checked with any of the [recommended validation tools][4] for syntax and formatting validation? If there are any resulting errors or warnings, what is the justification for not fixing them at this time? Does the YANG module comply with the Network Management Datastore Architecture (NMDA) as specified in [RFC 8342][5]?

draft-ietf-sedate-datetime-extended does not contain a YANG module.

8. Describe reviews and automated checks performed to validate sections of the final version of the document written in a formal language, such as XML code, BNF rules, MIB definitions, CBOR's CDDL, etc.

Figure 3 of the current draft is the appropriate ABNF grammar extension needed to implement the change described in the draft. It is adapted from Section 5.6 of RFC3339. The constants ALPHA and DIGIT are adopted from Appendix B.1 of RFC5234. The very short extension to the rule date-time-ext has been reviewed by participants in the SEDATE working group.

## Document Shepherd Checks

9. Based on the shepherd's review of the document, is it their opinion that this document is needed, clearly written, complete, correctly designed, and ready to be handed off to the responsible Area Director?

Yes.

10. Several IETF Areas have assembled [lists of common issues that their reviewers encounter][6]. For which areas have such issues been identified and addressed? For which does this still need to happen in subsequent reviews?

In the Applications and Real-Time Area, dates, times and timestamps are explicitly identified as tricky to get correct. SEDATE used both experts in dattime formats as well as calendar and email implementers to ensure that draft-ietf-sedate-datetime-extended is backward compatible with RFC3339 while addressing the narrow issue in the charter. The document shepherd believes that the issues identified in the Internet Area, Operations and Management Area, Routing Area, Security Area and Transport Area do not apply to the limited scope of this standard.

11. What type of RFC publication is being requested on the IETF stream ([Best Current Practice][12], [Proposed Standard, Internet Standard][13], [Informational, Experimental or Historic][14])? Why is this the proper type of RFC? Do all Datatracker state attributes correctly reflect this intent?

PS is the intended status. PS is the proper status for this on-the-wire protocol. PS is the status of RFC3339 to which this document relates.  Yes, the datatracker state attributes correctly reflect PS.

12. Have reasonable efforts been made to remind all authors of the intellectual property rights (IPR) disclosure obligations described in [BCP 79][8]? To the best of your knowledge, have all required disclosures been filed? If not, explain why. If yes, summarize any relevant discussion, including links to publicly-available messages when applicable.

Yes, the document shepherd has personally verified with the authors that they have met the IPR disclosure obligations in [BCP79].

13. Has each author, editor, and contributor shown their willingness to be listed as such? If the total number of authors and editors on the front page is greater than five, please provide a justification.

Yes, the document shepherd has personally verified that all authors are willing to be listed as such.

There are two authors listed on the draft.

14. Document any remaining I-D nits in this document. Simply running the [idnits tool][8] is not enough; please review the ["Content Guidelines" on authors.ietf.org][15]. (Also note that the current idnits tool generates some incorrect warnings; a rewrite is underway.)
 
There are 0 errors, 0 flaws, 1 warning and 3 comments generated by I-D nits.

There are six instances of warnings about lines too long. These seem to relate to non-ASCII characters In UTF-8 encoding (for instance in the name of an academic institution).

There are six instances of lines with non-ASCII characters. These also seem to relate to non-ASCII characters In UTF-8 encoding (for instance in the name of an academic institution).

There are two warnings related to references:

  -- Obsolete informational reference (is this intentional?): RFC 1305
    (Obsoleted by RFC 5905)
   
The reference is intended to illustrate the history and motivations for the date/time format as used in NTP.   

  -- Obsolete informational reference (is this intentional?): RFC 2822
    (Obsoleted by RFC 5322)
   
The reference is intended to illustrate the history and motivations for the date/time format as used in the Internet Message format. The reference to RFC5322 is also included.   

15. Should any informative references be normative or vice-versa? See the [IESG Statement on Normative and Informative References][16].

Both WG chairs believe that the references are fine.

16. List any normative references that are not freely available to anyone. Did the community have sufficient access to review any such normative references?

All normative references are to RFCs. There are informative references that point to documents from ITU=T and ISO which are not freely available.

17. Are there any normative downward references (see [RFC 3967][9] and [BCP 97][10]) that are not already listed in the [DOWNREF registry][17]? If so, list them.

There are no such references in draft-ietf-sedate-datetime-extended.

18. Are there normative references to documents that are not ready to be submitted to the IESG for publication or are otherwise in an unclear state? If so, what is the plan for their completion?

There are no such references in draft-ietf-sedate-datetime-extended.

19. Will publication of this document change the status of any existing RFCs? If so, does the Datatracker metadata correctly reflect this and are those RFCs listed on the title page, in the abstract, and discussed in the introduction? If not, explain why and point to the part of the document where the relationship of this document to these other RFCs is discussed.

This draft updates RFC3339. The problem statement in the Abstract Introduction makes clear what the problem being addressed is and how this draft applies to RFC3339. The relationship between this draft and RFC3339 is also clearly marked in the Datatracker and on the title page of the draft.

20. Describe the document shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all aspects of the document requiring IANA assignments are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that each newly created IANA registry specifies its initial contents, allocations procedures, and a reasonable name (see [RFC 8126][11]).

The document shepherd reviewed the assignment for consistency with the body of the I-D.

The shepherd also confirmed the following:
- All aspects of the document requiring IANA assignments are
  associated with the appropriate reservations in IANA registries.
- Any referenced IANA registries have been clearly identified.
- Each newly created IANA registry specifies its initial contents,
  allocations procedures, and a reasonable name (see [RFC 8126][11]).

21. List any new IANA registries that require Designated Expert Review for future allocations. Are the instructions to the Designated Expert clear? Please include suggestions of designated experts, if appropriate.

There is a single registry created by this draft: the Timestamp Suffix Tag Keys registry. The registration policy [based on RFC8126] is "Specification Required" for permanent entries, and "Expert Review" for provisional ones. In the second case, the expert is instructed to ascertain that a basic specification does exist, even if not complete or published yet.

[1]: https://www.ietf.org/about/groups/iesg/
[2]: https://www.rfc-editor.org/rfc/rfc4858.html
[3]: https://www.rfc-editor.org/rfc/rfc7942.html
[4]: https://trac.ietf.org/trac/ops/wiki/yang-review-tools
[5]: https://www.rfc-editor.org/rfc/rfc8342.html
[6]: https://trac.ietf.org/trac/iesg/wiki/ExpertTopics
[7]: https://www.rfc-editor.org/info/bcp79
[8]: https://www.ietf.org/tools/idnits/
[9]: https://www.rfc-editor.org/rfc/rfc3967.html
[10]: https://www.rfc-editor.org/info/bcp97
[11]: https://www.rfc-editor.org/rfc/rfc8126.html
[12]: https://www.rfc-editor.org/rfc/rfc2026.html#section-5
[13]: https://www.rfc-editor.org/rfc/rfc2026.html#section-4.1
[14]: https://www.rfc-editor.org/rfc/rfc2026.html#section-4.2
[15]: https://authors.ietf.org/en/content-guidelines-overview
[16]: https://www.ietf.org/about/groups/iesg/statements/normative-informative-references/
[17]: https://datatracker.ietf.org/doc/downref/
2023-10-05
10 Carsten Bormann New version available: draft-ietf-sedate-datetime-extended-10.txt
2023-10-05
10 Carsten Bormann New version accepted (logged-in submitter: Carsten Bormann)
2023-10-05
10 Carsten Bormann Uploaded new revision
2023-09-20
09 Francesca Palombini Shepherding AD changed to Francesca Palombini
2023-08-19
09 Barry Leiba Closed request for Last Call review by ARTART with state 'Overtaken by Events'
2023-08-19
09 Barry Leiba Assignment of request for Last Call review by ARTART to Pete Resnick was marked no-response
2023-07-23
09 Murray Kucherawy IESG state changed to Waiting for AD Go-Ahead::AD Followup from Waiting for AD Go-Ahead
2023-07-14
09 (System) IANA Review state changed to Version Changed - Review Needed from IANA OK - Actions Needed
2023-07-14
09 Carsten Bormann New version available: draft-ietf-sedate-datetime-extended-09.txt
2023-07-14
09 Jenny Bui Forced post of submission
2023-07-14
09 (System) Request for posting confirmation emailed to previous authors: Carsten Bormann , Ujjwal Sharma
2023-07-14
09 Carsten Bormann Uploaded new revision
2023-06-15
08 (System) IESG state changed to Waiting for AD Go-Ahead from In Last Call
2023-06-14
08 (System) IANA Review state changed to IANA OK - Actions Needed from IANA - Review Needed
2023-06-14
08 David Dong
(Via drafts-lastcall@iana.org): IESG/Authors/WG Chairs:

The IANA Functions Operator has completed its review of draft-ietf-sedate-datetime-extended-08. If any part of this review is inaccurate, please let …
(Via drafts-lastcall@iana.org): IESG/Authors/WG Chairs:

The IANA Functions Operator has completed its review of draft-ietf-sedate-datetime-extended-08. If any part of this review is inaccurate, please let us know.

The IANA Functions Operator has a question about the action being requested in the IANA Considerations section of this document.

The IANA Functions Operator understands that, upon approval of this document, there is a single action which we must complete.

A new registry is to be created called the Timestamp Suffix Tag Keys registry. The registry consists of text strings and registration statuses of either Provisional or Permanent. For those registrations that are Provisional, the registration policy is Expert Review as defined by RFFC8126. For those registrations that are permanent, the registration policy is Specification Required. There is a single initial registration in the new registry as follows:

Key Identifier: u-ca
Registration status: Permanent
Description: Preferred Calendar for Presentation
Change Controller: IESG
Reference: [ RFC-to-be; Section 5 ]

IANA Question --> Where should this new registry be located? Should it be added to an existing registry page? If it needs a new page, does it also need a new category at http://www.iana.org/protocols (and if so, should the page and the category have the same name)?

The IANA Functions Operator requests that the IANA Considerations section of the document remain in place upon publication.

The IANA Functions Operator understands that this is the only action required to be completed upon approval of this document.

Note:  The action requested in this document will not be completed until the document has been approved for publication as an RFC. This message is meant only to confirm the action that will be performed.

For definitions of IANA review states, please see:

https://datatracker.ietf.org/help/state/draft/iana-review

Thank you,

David Dong
IANA Services Specialist
2023-06-13
08 Robert Sparks Request for Last Call review by GENART Completed: Ready with Issues. Reviewer: Robert Sparks. Sent review to list.
2023-06-12
08 Joe Clarke Request for Last Call review by OPSDIR Completed: Has Issues. Reviewer: Joe Clarke. Sent review to list.
2023-06-08
08 Jean Mahoney Request for Last Call review by GENART is assigned to Robert Sparks
2023-06-05
08 Kyle Rose Request for Last Call review by SECDIR Completed: Ready. Reviewer: Kyle Rose. Sent review to list.
2023-06-02
08 Gunter Van de Velde Request for Last Call review by OPSDIR is assigned to Joe Clarke
2023-06-01
08 Barry Leiba Request for Last Call review by ARTART is assigned to Pete Resnick
2023-06-01
08 Meral Shirazipour Assignment of request for Last Call review by GENART to Meral Shirazipour was rejected
2023-06-01
08 Jean Mahoney Request for Last Call review by GENART is assigned to Meral Shirazipour
2023-06-01
08 Tero Kivinen Request for Last Call review by SECDIR is assigned to Kyle Rose
2023-06-01
08 Amy Vezza IANA Review state changed to IANA - Review Needed
2023-06-01
08 Amy Vezza
The following Last Call announcement was sent out (ends 2023-06-15):

From: The IESG
To: IETF-Announce
CC: Mark@internetpolicyadvisors.com, draft-ietf-sedate-datetime-extended@ietf.org, sedate-chairs@ietf.org, sedate@ietf.org, superuser@gmail.com …
The following Last Call announcement was sent out (ends 2023-06-15):

From: The IESG
To: IETF-Announce
CC: Mark@internetpolicyadvisors.com, draft-ietf-sedate-datetime-extended@ietf.org, sedate-chairs@ietf.org, sedate@ietf.org, superuser@gmail.com
Reply-To: last-call@ietf.org
Sender:
Subject: Last Call:  (Date and Time on the Internet: Timestamps with additional information) to Proposed Standard


The IESG has received a request from the Serialising Extended Data About
Times and Events WG (sedate) to consider the following document: - 'Date and
Time on the Internet: Timestamps with additional information'
  as Proposed Standard

The IESG plans to make a decision in the next few weeks, and solicits final
comments on this action. Please send substantive comments to the
last-call@ietf.org mailing lists by 2023-06-15. Exceptionally, comments may
be sent to iesg@ietf.org instead. In either case, please retain the beginning
of the Subject line to allow automated sorting.

Abstract


  This document defines an extension to the timestamp format defined in
  RFC3339 for representing additional information including a time
  zone.

  It updates RFC3339 in the specific interpretation of the local offset
  Z, which is no longer understood to "imply that UTC is the preferred
  reference point for the specified time"; see Section 2.


  // (This "cref" paragraph will be removed by the RFC editor:) The
  // present version (-08) reflects comments received after IESG
  // submission.




The file can be obtained via
https://datatracker.ietf.org/doc/draft-ietf-sedate-datetime-extended/



No IPR declarations have been submitted directly on this I-D.




2023-06-01
08 Amy Vezza IESG state changed to In Last Call from Last Call Requested
2023-06-01
08 Murray Kucherawy Last call was requested
2023-06-01
08 Murray Kucherawy Ballot approval text was generated
2023-06-01
08 Murray Kucherawy IESG state changed to Last Call Requested from AD Evaluation::AD Followup
2023-06-01
08 Murray Kucherawy Last call announcement was generated
2023-06-01
08 Murray Kucherawy Changed action holders to Murray Kucherawy
2023-05-09
08 (System) Changed action holders to Francesca Palombini (IESG state changed)
2023-05-09
08 (System) Sub state has been changed to AD Followup from Revised I-D Needed
2023-05-09
08 Carsten Bormann New version available: draft-ietf-sedate-datetime-extended-08.txt
2023-05-09
08 Carsten Bormann New version accepted (logged-in submitter: Carsten Bormann)
2023-05-09
08 Carsten Bormann Uploaded new revision
2023-03-26
07 Murray Kucherawy Shepherding AD changed to Murray Kucherawy
2023-03-21
07 Francesca Palombini AD review posted: https://mailarchive.ietf.org/arch/msg/sedate/FBdbrSVv1e_qva8zkm0vwpEbVrg/; this will most likely need a revision before IETF LC.
2023-03-21
07 (System) Changed action holders to Carsten Bormann, Francesca Palombini, Ujjwal Sharma (IESG state changed)
2023-03-21
07 Francesca Palombini IESG state changed to AD Evaluation::Revised I-D Needed from AD Evaluation
2023-03-21
07 (System) Changed action holders to Francesca Palombini (IESG state changed)
2023-03-21
07 Francesca Palombini IESG state changed to AD Evaluation from Publication Requested
2023-03-21
07 Francesca Palombini Ballot writeup was changed
2023-01-19
07 Mark McFadden

# Document Shepherd Write-Up for Group Documents

## Document History

1. Does the working group (WG) consensus represent the strong concurrence of a
  few …

# Document Shepherd Write-Up for Group Documents

## Document History

1. Does the working group (WG) consensus represent the strong concurrence of a
  few individuals, with others being silent, or did it reach broad agreement?

The WG consensus was broad. SEDATE is not the biggest WG, but there were enough active participants during its development that agreed the I-D was ready to proceed down the road to satisfy both chairs. Several of the participants are implementers. Additionally, some of the WG participants also participate in other standards bodies where this work is considered.

2. Was there controversy about particular points, or were there decisions where
  the consensus was particularly rough?

Only a single contentious issue emerged. We found an interoperability problem (a special interpretation of what -0000 means) with the way that RFC 3339 handles timestamps that do not want to provide a hint about time zone offsets. This issue was resolved through booth discussions on the mailing list and at IETF 114 and IETF 115.

Discussion of this document took place on the Serialising Extended Data About Times and Events (SEDATE) Working Group mailing list (mailto:sedate@ietf.org), which is archived at https://mailarchive.ietf.org/arch/browse/sedate/

Source for this draft and its accompanying issue tracker can be found at https://github.com/ietf-wg-sedate/draft-ietf-sedate-datetime-extended.

3. Has anyone threatened an appeal or otherwise indicated extreme discontent? If
  so, please summarize the areas of conflict in separate email messages to the
  responsible Area Director. (It should be in a separate email because this
  questionnaire is publicly available.)

No.

4. For protocol documents, are there existing implementations of the contents of
  the document? Have a significant number of potential implementers indicated
  plans to implement? Are any existing implementations reported somewhere,
  either in the document itself (as [RFC 7942][3] recommends) or elsewhere
  (where)?

Several participants in SEDATE have indicated that they will be implementing the changes in this draft. Those implementations are both in commercial software, open source software and changes to libraries that manage date/timestamps.

## Additional Reviews

5. Do the contents of this document closely interact with technologies in other
  IETF working groups or external organizations, and would it therefore benefit
  from their review? Have those reviews occurred? If yes, describe which
  reviews took place.

draft-ietf-sedate-datetime-extended is also related to work going on in TICTOC, CBOR and CALEXT. Some of the discussions in SEDATE have been cross-posted into those groups and many active participants who agreed to consensus in SEDATE are also active participants in TICTOC, CBOR and CALEXT.

6. Describe how the document meets any required formal expert review criteria,
  such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.

SEDATE was very narrowly chartered to update RFC3339 in a fully backward-compatible way to address a single discrepancy in expressing an instant in time, either in UTC or in a local time along with the offset against UTC.  There is no formal expert review criteria for the IETF profile of ISO 8601.


7. If the document contains a YANG module, has the final version of the module
  been checked with any of the [recommended validation tools][4] for syntax and
  formatting validation? If there are any resulting errors or warnings, what is
  the justification for not fixing them at this time? Does the YANG module
  comply with the Network Management Datastore Architecture (NMDA) as specified
  in [RFC 8342][5]?

draft-ietf-sedate-datetime-extended does not contain a YANG module.

8. Describe reviews and automated checks performed to validate sections of the
  final version of the document written in a formal language, such as XML code,
  BNF rules, MIB definitions, CBOR's CDDL, etc.

Figure 3 of the current draft is the appropriate ABNF grammar extension needed to implement the change described in the draft. It is adapted from Section 5.6 of RFC3339. The constants ALPHA and DIGIT are adopted from Appendix B.1 of RFC5234. The very short extension to the rule date-time-ext has been reviewed by participants in the SEDATE working group.

## Document Shepherd Checks

9. Based on the shepherd's review of the document, is it their opinion that this
  document is needed, clearly written, complete, correctly designed, and ready
  to be handed off to the responsible Area Director?

Yes.

10. Several IETF Areas have assembled [lists of common issues that their
    reviewers encounter][6]. For which areas have such issues been identified
    and addressed? For which does this still need to happen in subsequent
    reviews?

In the Applications and Real-Time Area, dates, times and timestamps are explicitly identified as tricky to get correct. SEDATE used both experts in dattime formats as well as calendar and email implementers to ensure that draft-ietf-sedate-datetime-extended is backward compatible with RFC3339 while addressing the narrow issue in the charter. The document shepherd believes that the issues identified in the Internet Area, Operations and Management Area, Routing Area, Security Area and Transport Area do not apply to the limited scope of this standard.

11. What type of RFC publication is being requested on the IETF stream ([Best
    Current Practice][12], [Proposed Standard, Internet Standard][13],
    [Informational, Experimental or Historic][14])? Why is this the proper type
    of RFC? Do all Datatracker state attributes correctly reflect this intent?

PS is the intended status. PS is the proper status for this on-the-wire protocol. PS is the status of RFC3339 to which this document relates.  Yes, the datatracker state attributes correctly reflect PS.

12. Have reasonable efforts been made to remind all authors of the intellectual
    property rights (IPR) disclosure obligations described in [BCP 79][8]? To
    the best of your knowledge, have all required disclosures been filed? If
    not, explain why. If yes, summarize any relevant discussion, including links
    to publicly-available messages when applicable.

Yes, the document shepherd has personally verified with the authors that they have met the IPR disclosure obligations in [BCP79].

13. Has each author, editor, and contributor shown their willingness to be
    listed as such? If the total number of authors and editors on the front page
    is greater than five, please provide a justification.

Yes, the document shepherd has personally verified that all authors are willing to be listed as such.

There are two authors listed on the draft.

14. Document any remaining I-D nits in this document. Simply running the [idnits
    tool][8] is not enough; please review the ["Content Guidelines" on
    authors.ietf.org][15]. (Also note that the current idnits tool generates
    some incorrect warnings; a rewrite is underway.)
 
There are 0 errors, 0 flaws, 1 warning and 3 comments generated by I-D nits.

There are six instances of warnings about lines too long. These seem to relate to non-ASCII characters In UTF-8 encoding (for instance in the name of an academic institution).

There are six instances of lines with non-ASCII characters. These also seem to relate to non-ASCII characters In UTF-8 encoding (for instance in the name of an academic institution).

There are two warnings related to references:

  -- Obsolete informational reference (is this intentional?): RFC 1305
    (Obsoleted by RFC 5905)
   
The reference is intended to illustrate the history and motivations for the date/time format as used in NTP.   

  -- Obsolete informational reference (is this intentional?): RFC 2822
    (Obsoleted by RFC 5322)
   
The reference is intended to illustrate the history and motivations for the date/time format as used in the Internet Message format. The reference to RFC5322 is also included.   

15. Should any informative references be normative or vice-versa? See the [IESG
    Statement on Normative and Informative References][16].

Both WG chairs believe that the references are fine.

16. List any normative references that are not freely available to anyone. Did
    the community have sufficient access to review any such normative
    references?

All normative references are to RFCs. There are informative references that point to documents from ITU=T and ISO which are not freely available.

17. Are there any normative downward references (see [RFC 3967][9] and [BCP
    97
][10]) that are not already listed in the [DOWNREF registry][17]? If so,
    list them.

There are no such references in draft-ietf-sedate-datetime-extended.

18. Are there normative references to documents that are not ready to be
    submitted to the IESG for publication or are otherwise in an unclear state?
    If so, what is the plan for their completion?

There are no such references in draft-ietf-sedate-datetime-extended.

19. Will publication of this document change the status of any existing RFCs? If
    so, does the Datatracker metadata correctly reflect this and are those RFCs
    listed on the title page, in the abstract, and discussed in the
    introduction? If not, explain why and point to the part of the document
    where the relationship of this document to these other RFCs is discussed.

This draft updates RFC3339. The problem statement in the Abstract Introduction makes clear what the problem being addressed is and how this draft applies to RFC3339. The relationship between this draft and RFC3339 is also clearly marked in the Datatracker and on the title page of the draft.

20. Describe the document shepherd's review of the IANA considerations section,
    especially with regard to its consistency with the body of the document.
    Confirm that all aspects of the document requiring IANA assignments are
    associated with the appropriate reservations in IANA registries. Confirm
    that any referenced IANA registries have been clearly identified. Confirm
    that each newly created IANA registry specifies its initial contents,
    allocations procedures, and a reasonable name (see [RFC 8126][11]).

The document shepherd reviewed the assignment for consistency with the body of the I-D.

The shepherd also confirmed the following:
- All aspects of the document requiring IANA assignments are
  associated with the appropriate reservations in IANA registries.
- Any referenced IANA registries have been clearly identified.
- Each newly created IANA registry specifies its initial contents,
  allocations procedures, and a reasonable name (see [RFC 8126][11]).

21. List any new IANA registries that require Designated Expert Review for
    future allocations. Are the instructions to the Designated Expert clear?
    Please include suggestions of designated experts, if appropriate.

There is a single registry created by this draft: the Timestamp Suffix Tag Keys registry. The registration policy [based on RFC8126] is "Specification Required" for permanent entries, and "Expert Review" for provisional ones. In the second case, the expert is instructed to ascertain that a basic specification does exist, even if not complete or published yet.

[1]: https://www.ietf.org/about/groups/iesg/
[2]: https://www.rfc-editor.org/rfc/rfc4858.html
[3]: https://www.rfc-editor.org/rfc/rfc7942.html
[4]: https://trac.ietf.org/trac/ops/wiki/yang-review-tools
[5]: https://www.rfc-editor.org/rfc/rfc8342.html
[6]: https://trac.ietf.org/trac/iesg/wiki/ExpertTopics
[7]: https://www.rfc-editor.org/info/bcp79
[8]: https://www.ietf.org/tools/idnits/
[9]: https://www.rfc-editor.org/rfc/rfc3967.html
[10]: https://www.rfc-editor.org/info/bcp97
[11]: https://www.rfc-editor.org/rfc/rfc8126.html
[12]: https://www.rfc-editor.org/rfc/rfc2026.html#section-5
[13]: https://www.rfc-editor.org/rfc/rfc2026.html#section-4.1
[14]: https://www.rfc-editor.org/rfc/rfc2026.html#section-4.2
[15]: https://authors.ietf.org/en/content-guidelines-overview
[16]: https://www.ietf.org/about/groups/iesg/statements/normative-informative-references/
[17]: https://datatracker.ietf.org/doc/downref/
2023-01-19
07 Mark McFadden Responsible AD changed to Francesca Palombini
2023-01-19
07 Mark McFadden IETF WG state changed to Submitted to IESG for Publication from WG Consensus: Waiting for Write-Up
2023-01-19
07 Mark McFadden IESG state changed to Publication Requested from I-D Exists
2023-01-19
07 Mark McFadden Document is now in IESG state Publication Requested
2023-01-19
07 Mark McFadden

# Document Shepherd Write-Up for Group Documents

## Document History

1. Does the working group (WG) consensus represent the strong concurrence of a
  few …

# Document Shepherd Write-Up for Group Documents

## Document History

1. Does the working group (WG) consensus represent the strong concurrence of a
  few individuals, with others being silent, or did it reach broad agreement?

The WG consensus was broad. SEDATE is not the biggest WG, but there were enough active participants during its development that agreed the I-D was ready to proceed down the road to satisfy both chairs. Several of the participants are implementers. Additionally, some of the WG participants also participate in other standards bodies where this work is considered.

2. Was there controversy about particular points, or were there decisions where
  the consensus was particularly rough?

Only a single contentious issue emerged. We found an interoperability problem (a special interpretation of what -0000 means) with the way that RFC 3339 handles timestamps that do not want to provide a hint about time zone offsets. This issue was resolved through booth discussions on the mailing list and at IETF 114 and IETF 115.

Discussion of this document took place on the Serialising Extended Data About Times and Events (SEDATE) Working Group mailing list (mailto:sedate@ietf.org), which is archived at https://mailarchive.ietf.org/arch/browse/sedate/

Source for this draft and its accompanying issue tracker can be found at https://github.com/ietf-wg-sedate/draft-ietf-sedate-datetime-extended.

3. Has anyone threatened an appeal or otherwise indicated extreme discontent? If
  so, please summarize the areas of conflict in separate email messages to the
  responsible Area Director. (It should be in a separate email because this
  questionnaire is publicly available.)

No.

4. For protocol documents, are there existing implementations of the contents of
  the document? Have a significant number of potential implementers indicated
  plans to implement? Are any existing implementations reported somewhere,
  either in the document itself (as [RFC 7942][3] recommends) or elsewhere
  (where)?

Several participants in SEDATE have indicated that they will be implementing the changes in this draft. Those implementations are both in commercial software, open source software and changes to libraries that manage date/timestamps.

## Additional Reviews

5. Do the contents of this document closely interact with technologies in other
  IETF working groups or external organizations, and would it therefore benefit
  from their review? Have those reviews occurred? If yes, describe which
  reviews took place.

draft-ietf-sedate-datetime-extended is also related to work going on in TICTOC, CBOR and CALEXT. Some of the discussions in SEDATE have been cross-posted into those groups and many active participants who agreed to consensus in SEDATE are also active participants in TICTOC, CBOR and CALEXT.

6. Describe how the document meets any required formal expert review criteria,
  such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.

SEDATE was very narrowly chartered to update RFC3339 in a fully backward-compatible way to address a single discrepancy in expressing an instant in time, either in UTC or in a local time along with the offset against UTC.  There is no formal expert review criteria for the IETF profile of ISO 8601.


7. If the document contains a YANG module, has the final version of the module
  been checked with any of the [recommended validation tools][4] for syntax and
  formatting validation? If there are any resulting errors or warnings, what is
  the justification for not fixing them at this time? Does the YANG module
  comply with the Network Management Datastore Architecture (NMDA) as specified
  in [RFC 8342][5]?

draft-ietf-sedate-datetime-extended does not contain a YANG module.

8. Describe reviews and automated checks performed to validate sections of the
  final version of the document written in a formal language, such as XML code,
  BNF rules, MIB definitions, CBOR's CDDL, etc.

Figure 3 of the current draft is the appropriate ABNF grammar extension needed to implement the change described in the draft. It is adapted from Section 5.6 of RFC3339. The constants ALPHA and DIGIT are adopted from Appendix B.1 of RFC5234. The very short extension to the rule date-time-ext has been reviewed by participants in the SEDATE working group.

## Document Shepherd Checks

9. Based on the shepherd's review of the document, is it their opinion that this
  document is needed, clearly written, complete, correctly designed, and ready
  to be handed off to the responsible Area Director?

Yes.

10. Several IETF Areas have assembled [lists of common issues that their
    reviewers encounter][6]. For which areas have such issues been identified
    and addressed? For which does this still need to happen in subsequent
    reviews?

In the Applications and Real-Time Area, dates, times and timestamps are explicitly identified as tricky to get correct. SEDATE used both experts in dattime formats as well as calendar and email implementers to ensure that draft-ietf-sedate-datetime-extended is backward compatible with RFC3339 while addressing the narrow issue in the charter. The document shepherd believes that the issues identified in the Internet Area, Operations and Management Area, Routing Area, Security Area and Transport Area do not apply to the limited scope of this standard.

11. What type of RFC publication is being requested on the IETF stream ([Best
    Current Practice][12], [Proposed Standard, Internet Standard][13],
    [Informational, Experimental or Historic][14])? Why is this the proper type
    of RFC? Do all Datatracker state attributes correctly reflect this intent?

PS is the intended status. PS is the proper status for this on-the-wire protocol. PS is the status of RFC3339 to which this document relates.  Yes, the datatracker state attributes correctly reflect PS.

12. Have reasonable efforts been made to remind all authors of the intellectual
    property rights (IPR) disclosure obligations described in [BCP 79][8]? To
    the best of your knowledge, have all required disclosures been filed? If
    not, explain why. If yes, summarize any relevant discussion, including links
    to publicly-available messages when applicable.

Yes, the document shepherd has personally verified with the authors that they have met the IPR disclosure obligations in [BCP79].

13. Has each author, editor, and contributor shown their willingness to be
    listed as such? If the total number of authors and editors on the front page
    is greater than five, please provide a justification.

Yes, the document shepherd has personally verified that all authors are willing to be listed as such.

There are two authors listed on the draft.

14. Document any remaining I-D nits in this document. Simply running the [idnits
    tool][8] is not enough; please review the ["Content Guidelines" on
    authors.ietf.org][15]. (Also note that the current idnits tool generates
    some incorrect warnings; a rewrite is underway.)
 
There are 0 errors, 0 flaws, 1 warning and 3 comments generated by I-D nits.

There are six instances of warnings about lines too long. These seem to relate to non-ASCII characters In UTF-8 encoding (for instance in the name of an academic institution).

There are six instances of lines with non-ASCII characters. These also seem to relate to non-ASCII characters In UTF-8 encoding (for instance in the name of an academic institution).

There are two warnings related to references:

  -- Obsolete informational reference (is this intentional?): RFC 1305
    (Obsoleted by RFC 5905)
   
The reference is intended to illustrate the history and motivations for the date/time format as used in NTP.   

  -- Obsolete informational reference (is this intentional?): RFC 2822
    (Obsoleted by RFC 5322)
   
The reference is intended to illustrate the history and motivations for the date/time format as used in the Internet Message format. The reference to RFC5322 is also included.   

15. Should any informative references be normative or vice-versa? See the [IESG
    Statement on Normative and Informative References][16].

Both WG chairs believe that the references are fine.

16. List any normative references that are not freely available to anyone. Did
    the community have sufficient access to review any such normative
    references?

All normative references are to RFCs. There are informative references that point to documents from ITU=T and ISO which are not freely available.

17. Are there any normative downward references (see [RFC 3967][9] and [BCP
    97
][10]) that are not already listed in the [DOWNREF registry][17]? If so,
    list them.

There are no such references in draft-ietf-sedate-datetime-extended.

18. Are there normative references to documents that are not ready to be
    submitted to the IESG for publication or are otherwise in an unclear state?
    If so, what is the plan for their completion?

There are no such references in draft-ietf-sedate-datetime-extended.

19. Will publication of this document change the status of any existing RFCs? If
    so, does the Datatracker metadata correctly reflect this and are those RFCs
    listed on the title page, in the abstract, and discussed in the
    introduction? If not, explain why and point to the part of the document
    where the relationship of this document to these other RFCs is discussed.

This draft updates RFC3339. The problem statement in the Abstract Introduction makes clear what the problem being addressed is and how this draft applies to RFC3339. The relationship between this draft and RFC3339 is also clearly marked in the Datatracker and on the title page of the draft.

20. Describe the document shepherd's review of the IANA considerations section,
    especially with regard to its consistency with the body of the document.
    Confirm that all aspects of the document requiring IANA assignments are
    associated with the appropriate reservations in IANA registries. Confirm
    that any referenced IANA registries have been clearly identified. Confirm
    that each newly created IANA registry specifies its initial contents,
    allocations procedures, and a reasonable name (see [RFC 8126][11]).

The document shepherd reviewed the assignment for consistency with the body of the I-D.

The shepherd also confirmed the following:
- All aspects of the document requiring IANA assignments are
  associated with the appropriate reservations in IANA registries.
- Any referenced IANA registries have been clearly identified.
- Each newly created IANA registry specifies its initial contents,
  allocations procedures, and a reasonable name (see [RFC 8126][11]).

21. List any new IANA registries that require Designated Expert Review for
    future allocations. Are the instructions to the Designated Expert clear?
    Please include suggestions of designated experts, if appropriate.

There is a single registry created by this draft: the Timestamp Suffix Tag Keys registry. The registration policy [based on RFC8126] is "Specification Required" for permanent entries, and "Expert Review" for provisional ones. In the second case, the expert is instructed to ascertain that a basic specification does exist, even if not complete or published yet.

[1]: https://www.ietf.org/about/groups/iesg/
[2]: https://www.rfc-editor.org/rfc/rfc4858.html
[3]: https://www.rfc-editor.org/rfc/rfc7942.html
[4]: https://trac.ietf.org/trac/ops/wiki/yang-review-tools
[5]: https://www.rfc-editor.org/rfc/rfc8342.html
[6]: https://trac.ietf.org/trac/iesg/wiki/ExpertTopics
[7]: https://www.rfc-editor.org/info/bcp79
[8]: https://www.ietf.org/tools/idnits/
[9]: https://www.rfc-editor.org/rfc/rfc3967.html
[10]: https://www.rfc-editor.org/info/bcp97
[11]: https://www.rfc-editor.org/rfc/rfc8126.html
[12]: https://www.rfc-editor.org/rfc/rfc2026.html#section-5
[13]: https://www.rfc-editor.org/rfc/rfc2026.html#section-4.1
[14]: https://www.rfc-editor.org/rfc/rfc2026.html#section-4.2
[15]: https://authors.ietf.org/en/content-guidelines-overview
[16]: https://www.ietf.org/about/groups/iesg/statements/normative-informative-references/
[17]: https://datatracker.ietf.org/doc/downref/
2023-01-19
07 Carsten Bormann New version available: draft-ietf-sedate-datetime-extended-07.txt
2023-01-19
07 Carsten Bormann New version accepted (logged-in submitter: Carsten Bormann)
2023-01-19
07 Carsten Bormann Uploaded new revision
2022-11-10
06 Mark McFadden Notification list changed to Mark@internetpolicyadvisors.com because the document shepherd was set
2022-11-10
06 Mark McFadden Document shepherd changed to Mark McFadden
2022-11-10
06 Mark McFadden Document shepherd: Mark McFadden
Document writeup due: November 17, 2022
2022-11-10
06 Mark McFadden Document shepherd: Mark McFadden
Document writeup due: November 17, 2022
2022-11-10
06 Mark McFadden IETF WG state changed to WG Consensus: Waiting for Write-Up from In WG Last Call
2022-10-30
06 Mark McFadden Added to session: IETF-115: sedate  Tue-1500
2022-10-24
06 Barry Leiba Added to session: IETF-115: cbor  Thu-1700
2022-10-20
06 Mark McFadden IETF WG state changed to In WG Last Call from WG Document
2022-09-16
06 Carsten Bormann New version available: draft-ietf-sedate-datetime-extended-06.txt
2022-09-16
06 Carsten Bormann New version accepted (logged-in submitter: Carsten Bormann)
2022-09-16
06 Carsten Bormann Uploaded new revision
2022-07-19
05 Mark McFadden Added to session: IETF-114: sedate  Mon-1330
2022-07-11
05 Carsten Bormann New version available: draft-ietf-sedate-datetime-extended-05.txt
2022-07-11
05 Carsten Bormann New version accepted (logged-in submitter: Carsten Bormann)
2022-07-11
05 Carsten Bormann Uploaded new revision
2022-03-20
04 Carsten Bormann New version available: draft-ietf-sedate-datetime-extended-04.txt
2022-03-20
04 (System) New version accepted (logged-in submitter: Carsten Bormann)
2022-03-20
04 Carsten Bormann Uploaded new revision
2022-03-18
03 Mark McFadden Added to session: IETF-113: sedate  Mon-1300
2022-03-07
03 Carsten Bormann New version available: draft-ietf-sedate-datetime-extended-03.txt
2022-03-07
03 (System) New version accepted (logged-in submitter: Carsten Bormann)
2022-03-07
03 Carsten Bormann Uploaded new revision
2021-12-04
02 Mark McFadden Added to session: interim-2021-sedate-02
2021-12-03
02 Carsten Bormann New version available: draft-ietf-sedate-datetime-extended-02.txt
2021-12-03
02 (System) New version accepted (logged-in submitter: Carsten Bormann)
2021-12-03
02 Carsten Bormann Uploaded new revision
2021-10-20
01 Bron Gondwana Added to session: interim-2021-sedate-01
2021-10-20
01 Carsten Bormann New version available: draft-ietf-sedate-datetime-extended-01.txt
2021-10-20
01 (System) New version approved
2021-10-20
01 (System) Request for posting confirmation emailed to previous authors: Ujjwal Sharma , sedate-chairs@ietf.org
2021-10-20
01 Carsten Bormann Uploaded new revision
2021-08-16
00 Bron Gondwana Changed consensus to Yes from Unknown
2021-08-16
00 Bron Gondwana Intended Status changed to Proposed Standard from None
2021-08-16
00 Bron Gondwana This document now replaces draft-ryzokuken-datetime-extended instead of None
2021-08-16
00 Ujjwal Sharma New version available: draft-ietf-sedate-datetime-extended-00.txt
2021-08-16
00 (System) WG -00 approved
2021-08-16
00 Ujjwal Sharma Set submitter to "Ujjwal Sharma ", replaces to draft-ryzokuken-datetime-extended and sent approval email to group chairs: sedate-chairs@ietf.org
2021-08-16
00 Ujjwal Sharma Uploaded new revision